package com.hzs.member.sms.service.impl;

import com.hzs.member.sms.service.IApiAliSmsService;
import com.hzs.member.sms.service.IApiCodeService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 验证码服务
 */
@Slf4j
@Service
public class ApiCodeServiceImpl implements IApiCodeService {

    @Autowired
    private IApiAliSmsService iApiAliSmsService;

    @Override
    public String sendCode(String phone, String checkKey, String sendTimKey) {
        return iApiAliSmsService.sendCode(phone, checkKey, sendTimKey);
    }

    @Override
    public String checkCode(String phone, String smsCode, String checkKey) {
        return iApiAliSmsService.checkCode(phone, smsCode, checkKey);
    }

    @Override
    public String sendRegisterCode(String phone) {
        return iApiAliSmsService.sendRegisterCode(phone);
    }

    @Override
    public String checkRegisterCode(String phone, String smsCode) {
        return iApiAliSmsService.checkRegisterCode(phone, smsCode);
    }

    @Override
    public String sendRecoverCode(String phone) {
        return iApiAliSmsService.sendRecoverCode(phone);
    }

    @Override
    public String checkRecoverCode(String phone, String smsCode) {
        return iApiAliSmsService.checkRecoverCode(phone, smsCode);
    }

    @Override
    public String resetPayPasswordCode(String phone) {
        return iApiAliSmsService.resetPayPasswordCode(phone);
    }

    @Override
    public String checkPayPasswordCode(String phone, String smsCode) {
        return iApiAliSmsService.checkPayPasswordCode(phone, smsCode);
    }

}
